Skip to main content
POST
Creates a new regular item with all specified properties. This command enables complete configuration of an item including identifiers, descriptions, prices, and measurements.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Body

application/json

Request parameters

Creates a new regular item with all specified properties. This command enables complete configuration of an item including identifiers, descriptions, prices, and measurements. - Request

categories
object
required

Category assignments of the item. Defines all categories to which the item should be assigned for better organization and navigation.

identifiers
object
required

Identifiers of the item with all relevant markings and numbers for unique identification of the item in various systems.

descriptions
object
required

Descriptions of the item in different languages and for different platforms/sales channels. Includes names, short and long descriptions as well as SEO-relevant information.

productGroupId
string<uuid>

The ID of the product group to which the item should be assigned. Product groups serve for categorical classification of items for reports and analyses.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

shippingClassId
string<uuid>

The ID of the shipping class to which the item should be assigned.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

manufacturerId
string<uuid>

The ID of the manufacturer to which the item should be assigned.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

prices
object

Price structures of the item for different sales channels, customer groups and individual customers. Includes sales prices, purchase prices and tier prices.

suppliers
object

Suppliers associated with the item including supplier-specific information such as purchase prices, delivery times and order intervals.

measurements
object

Physical dimensions and weight specifications of the item for storage, shipping and product presentation. Important for shipping cost calculations and storage space optimization.

images
object

tbd

customFields
object

Custom fields defined for the item to store additional information. Useful for special requirements or integrations.

variations
object

Variations of an item

features
object

Features of an item

attributes
object

Attributes of an item

unitPricing
object

UnitPricing information of an item

specialPrices
object

SpecialPrices information of an item

storageConstraints
object

ItemStorageConstraints information of an item

Response

Item was successfully created

Creates a new regular item with all specified properties. This command enables complete configuration of an item including identifiers, descriptions, prices, and measurements. - Response

itemId
string<uuid>
required

Unique ID of the newly created item - this key is used for all further operations with the item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"